Update an existing category
cURL
curl --request PATCH \ --url https://cms.thepublive.com/publisher/{publisher_id}/category/{id}/ \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "meta_title": "<string>", "meta_description": "<string>", "content": "<string>", "category_brand_color": "<string>", "priority": 123 } '
{ "status": "success", "message": "Updated Successfully", "data": { "id": 14428, "name": "Latest News", "english_name": "News", "slug": "news", "absolute_url": "/news", "parent_category": null, "category_brand_color": "#EF4444", "content": "", "meta_title": "Latest News Updates", "meta_description": "", "content_type": null } }
english_name
slug
content_type
curl -X PATCH \ 'https://cms.thepublive.com/publisher/123/category/14428/' \ -H 'Authorization: Basic <BASE64_AUTH_TOKEN>' \ -H 'Content-Type: application/json' \ -d '{"name": "Latest News", "meta_title": "Latest News Updates"}'
Was this page helpful?